// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:
	CStatusBar* GetStatusBar() { return &m_wndStatusBar; }

	// Set the size of the client area to the given size.
	void SetSize(UINT width, UINT height);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
#ifdef USE_TOOLBAR
	CToolBar    m_wndToolBar;
#endif

	void AdjustWindowSize(UINT nID);


// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewToolbar();
	afx_msg void OnViewStatusBar();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


// Return a pointer to the status bar
inline CStatusBar* GetStatusBar() { return GetMainFrame()->GetStatusBar(); }

/////////////////////////////////////////////////////////////////////////////
