/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Decoder / Presenter
FILE:       Caps.cpp
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Implementation of Capabilities
-------------------------------------------------------------------------*/
#include "defs.h"
#include "Caps.h"

void Capabilities :: AddFormatCapability (FORMAT nFormat, int nPriority)
{
	m_fmtCapabilities.InsertAt (nPriority, nFormat);
}

FORMAT Capabilities :: GetFormatCapability (int nPriority)
{
	return m_fmtCapabilities [nPriority];
}

int Capabilities :: GetFormatCapabilityLength ()
{
	return m_fmtCapabilities.GetLength ();
}