#if !defined(_caps_h)	// Sentry, use file only if it's not already included.
#define _caps_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Decoder / Presenter
FILE:       Caps.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of Capabilities
-------------------------------------------------------------------------*/
#include "ztl.h"
#include "Im1defs.h"

class Capabilities
{
	ZArray<FORMAT> m_fmtCapabilities;

public:
	void AddFormatCapability (FORMAT nFormat, int nPriority);
	FORMAT GetFormatCapability (int nPriority);
	int GetFormatCapabilityLength ();
};

#endif                                      // _caps_h sentry.
