#if !defined(_esconfig_h)	// Sentry, use file only if it's not already included.
#define _esconfig_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Decoder/ Demux	
FILE:       ESConfig.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of ESConfigParam and ES_Descriptor;
-------------------------------------------------------------------------*/
#include "Im1defs.h"

struct tagESConfigParams
{
	int m_nVersion;			// 1.0	
	int m_nPredefined;
	int m_nBufferSizeEB;
	BOOL m_bUseAccessUnitStartFlag;
	BOOL m_UseAccessUnitEndFlag;
	BOOL m_UseRandomAccessPointFlag;
	BOOL m_bUsePaddingFlag;
	BOOL m_bUseTimeStamps;
//	BOOL m_bUseOCR;
	int m_nTimeStampResolution;
	int m_nOCRResolution;
	int m_nTimeStampLength;
	int m_nOCRlength;
	int m_nAccessUnitDecodingRate;
	int m_nAccessUnitCompositionRate;
	int m_nStartDecodingTimeStamp;
	int m_nStartCompositionTimeStamp;
	int m_nAUlength;
	int m_nInstantBitrateLength;
//	int m_nStreamPriority;
	int m_nDegradationPriorityLength;
	int m_nSeqNumLength;
};

struct tagES_Descriptor
{	
	int m_nVersion;			// 1.0	
	int m_nES_number;
	char m_szDecType [40];
	ESCONFIGPARAMS m_ESConfigParams;
};

#endif                                      // _esconfig_h sentry.
