#if !defined(_EventHan_h)	// Sentry, use file only if it's not already included.
#define _EventHan_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Decoder/ Compositor / Presenter
FILE:       EventHan.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declarations of EventHandler
-------------------------------------------------------------------------*/
#include "MediaObj.h"

class EventHandler : public MediaObject
{
public:
	virtual void OnUserEvent (USER_EVENT event, int x, int y) = 0;
};

#endif                                      // _EventHan_h sentry.
