#if !defined(_Except_h)	// Sentry, use file only if it's not already included.
#define _Except_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Core
FILE:       Except.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definitions of exception classes.
-------------------------------------------------------------------------*/

/*-----------------------------------------------------------------
A class for handling Demux exceptions
-----------------------------------------------------------------*/
class DemuxException
{
public:
	enum ErrorCodes {END_OF_FILE, MEMORY_ERROR} m_nCode;

	DemuxException (enum ErrorCodes nCode = END_OF_FILE) : m_nCode (nCode) {}
};

#endif                                      // _Except_h sentry.
