#if !defined(_group_h)	// Sentry, use file only if it's not already included.
#define _group_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  BIFS Decoder/ Compositor / Presenter
FILE:       Group.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declarations of a base class for grouping nodes
-------------------------------------------------------------------------*/
#include "MediaObj.h"

class MFGenericNode;

class GroupNode : public MediaObject
{
#ifndef BIFSENC
	MFGenericNode *m_pChildren;

public:
	void Init ();
	virtual BOOL Parse (BIFSDecoder *pBifs);
	BOOL ParseChild (BIFSDecoder *pBifs);
	MFGenericNode &GetChildren () {return *m_pChildren;}
	virtual void UpdateBBox () {}

	CUSTOMIZE_GROUPNODE_DECLARATION
#endif		// BIFSENC
};

#endif                                      // _group_h sentry.
