#if !defined(_G723_h)  // Sentry, use file only if it's not already included.
#define _G723_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Multiplexer
FILE:       G723.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declaration of G723, the class that handles G.723 streams
-------------------------------------------------------------------------*/
#include "Stream.h"

class G723Stream : public Stream
{
	int m_cNext;
	long m_lTime;
	int m_nCount;
	int m_frameSize;

public:
	G723Stream (FILE *fStream, const char* streamData);
	virtual long GetTimeStamp ();
	virtual int GetChar ();
};

#endif	// _G723_h sentry