#if !defined(_app_h)	// Sentry, use file only if it's not already included.
#define _app_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Application
FILE:       App.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of Application
-------------------------------------------------------------------------*/

#include "Im1defs.h"

class Application
{
public:
	virtual void OnConnect (
		CONNECTION_RESULT result = CONNECTION_SUCCESS
	) = 0;
	virtual void OnFinish (
		SERVICE_TERMINATION reason = END_OF_SERVICE
	) = 0;
};

#endif                                      // _app_h sentry.
