#if !defined(_clock_h)	// Sentry, use file only if it's not already included.
#define _clock_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Buffer management
FILE:       Clock.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of ClockReference.
-------------------------------------------------------------------------*/

class ClockReference
{
	DWORD m_dwStartTime;
	int m_nGranularity;
	BOOL m_bStarted;

public:
	ClockReference (int nGranularity = 5);
	void Reset ();
	void Start ();
	DWORD GetTime ();
	void WaitOn (DWORD dwTime);
	int CompareTimes (DWORD dwTime, DWORD dwCompareTo = 0);
};

#endif                                      // _clock_h sentry.
