#if !defined(_FlexDmux_h)	// Sentry, use file only if it's not already included.
#define _FlexDmux_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  DMIF
FILE:       FlexDmux.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declarations of FlexDmux
-------------------------------------------------------------------------*/
#include "fmt.h"
#include "Channel.h"

class ALManager;

class FlexDemux : public Channel
{
	ALManager *m_pAL;
	ZArray <DataChannel *> m_channelTable;

	virtual void OnPacketReceived (LPBYTE pData, int nPacketLength);

public:
	FlexDemux (ALManager *pAL, SMT &rStreamMapTable);
	void UpdateTable (SMT &rStreamMapTable);
};

#endif                                      // _FlexDmux_h sentry.
