#if !defined(_fmt_h)	// Sentry, use file only if it's not already included.
#define _fmt_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  DMIF
FILE:       fmt.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Definition of FMT - FlexMux table
-------------------------------------------------------------------------*/
#include "ztl.h"

struct StreamMapElement
{   
	int m_nAssociationTag, m_nFmcNo, m_nESid;
    BOOL operator == (const StreamMapElement &rElement) const
    {
        return m_nAssociationTag == rElement.m_nAssociationTag;
    }
};

typedef ZArray<StreamMapElement> SMT;

#endif                                      // _fmt_h sentry.
