#if !defined(_BifsStream_h)  // Sentry, use file only if it's not already included.
#define _BifsStream_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Multiplexer
FILE:       BifsStream.h
AUTHOR:     Zvi Lifshitz (VDOnet Corp.)
OVERVIEW:   Declaration of BifsStream, the class that handles BIFS streams
input streams.
-------------------------------------------------------------------------*/
#include "Stream.h"

class BifsStream : public Stream
{
	int m_cNext;

public:
	BifsStream (FILE *fStream, const char* streamData);
	virtual long GetTimeStamp ();
	virtual int GetChar ();
};

#endif	// _BifsStream_h sentry